package com.intellij.jpdm.graph.nodes;

import com.intellij.jpdm.graph.JpdlNodeType;
import com.intellij.jpdm.model.xml.End;
import com.intellij.jpdm.JpdlIcons;
import com.intellij.jpdm.model.xml.EndCancel;
import com.intellij.jpdm.model.xml.EndError;
import com.intellij.jpdm.model.xml.JpdlNamedActivity;
import org.jetbrains.annotations.NotNull;

import javax.swing.*;

/**
 * User: Sergey.Vasiliev
 */
public abstract class EndActivityNode<E extends JpdlNamedActivity> extends JpdlBasicNode<E> {

    public static class EndNode extends EndActivityNode<End> {
        public EndNode(End identifyingElement) {
            super(identifyingElement);
        }

        @NotNull
        public JpdlNodeType getNodeType() {
            return JpdlNodeType.END;
        }

        public Icon getIcon() {
            return JpdlIcons.END;
        }
    }

    public static class EndCancelNode extends EndActivityNode<EndCancel> {
        public EndCancelNode(EndCancel identifyingElement) {
            super(identifyingElement);
        }

        @NotNull
        public JpdlNodeType getNodeType() {
            return JpdlNodeType.END_CANCEL;
        }

        public Icon getIcon() {
            return JpdlIcons.END_CANCEL;
        }
    }

    public static class EndErrorNode extends EndActivityNode<EndError> {
        public EndErrorNode(EndError identifyingElement) {
            super(identifyingElement);
        }

        @NotNull
        public JpdlNodeType getNodeType() {
            return JpdlNodeType.END_ERROR;
        }

        public Icon getIcon() {
            return JpdlIcons.END_ERROR;
        }
    }

    public EndActivityNode(E identifyingElement) {
        super(identifyingElement);
    }

}
