package com.intellij.jpdm.graph.renderers;

import com.intellij.jpdm.graph.JpdlEdge;
import com.intellij.jpdm.graph.JpdlNode;
import com.intellij.openapi.graph.builder.GraphBuilder;
import com.intellij.openapi.graph.builder.renderer.BasicGraphNodeRenderer;
import com.intellij.openapi.util.ModificationTracker;

import javax.swing.*;
import java.awt.*;

/**
 * User: Sergey.Vasiliev
 */
public class DefaultJpdlNodeRenderer extends BasicGraphNodeRenderer<JpdlNode, JpdlEdge> {

  public DefaultJpdlNodeRenderer(GraphBuilder<JpdlNode, JpdlEdge> builder) {
    super(builder, ModificationTracker.EVER_CHANGED);
  }

  protected JComponent getPresenationComponent(final String text) {

    return super.getPresenationComponent(text);
  }

  protected Icon getIcon(final JpdlNode node) {
    return node.getIcon();
  }

  protected String getNodeName(final JpdlNode node) {
    return node.getName();
  }

  protected Color getBackground(final JpdlNode node) {
    return Color.LIGHT_GRAY.brighter();
  }

  protected int getSelectionBorderWidth() {
    return 1;
  }
}
