package com.intellij.jpdm.impl;

import com.intellij.jpdm.model.JpdlModel;
import com.intellij.jpdm.model.JpdlModelFactory;
import com.intellij.jpdm.model.xml.ProcessDefinition;
import com.intellij.psi.xml.XmlFile;
import com.intellij.jpdm.model.JpdlDomModelManager;
import com.intellij.util.xml.DomManager;
import com.intellij.openapi.module.Module;
import com.intellij.openapi.project.Project;
import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * User: Sergey.Vasiliev
 */
public class JpdlDomModelManagerImpl extends JpdlDomModelManager {
  private final JpdlModelFactory myModelFactory;
  private final DomManager myDomManager;

  public JpdlDomModelManagerImpl(final Project project, DomManager domManager) {
    myDomManager = domManager;
    myModelFactory = new JpdlModelFactory(project);
  }

  public boolean isJpdl(@NotNull final XmlFile file) {
    return myDomManager.getFileElement(file, ProcessDefinition.class) != null;
  }

  public JpdlModel getJpdlModel(@NotNull final XmlFile file) {
    return myModelFactory.getModelByConfigFile(file);
  }

  public List<JpdlModel> getAllModels(@NotNull final Module module) {
    return myModelFactory.getAllModels(module);
  }
}
