package com.intellij.jpdm.inspections;

import com.intellij.jpdm.model.xml.ProcessDefinition;
import com.intellij.jpdm.resources.messages.JpdlBundle;
import com.intellij.util.xml.highlighting.BasicDomElementsInspection;
import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;

/**
 * User: Sergey.Vasiliev
 */
public class JpdlModelInspection extends BasicDomElementsInspection<ProcessDefinition> {

    public JpdlModelInspection() {
        super(ProcessDefinition.class);
    }

    @NotNull
    public String getGroupDisplayName() {
        return JpdlBundle.message("model.inspection.group.name");
    }

    @NotNull
    public String getDisplayName() {
        return JpdlBundle.message("model.inspection.display.name");
    }

    @NotNull
    @NonNls
    public String getShortName() {
        return "JpdlModelInspection";
    }
}
