package com.intellij.jpdm.model;

import com.intellij.openapi.components.ServiceManager;
import com.intellij.openapi.project.Project;
import com.intellij.openapi.module.Module;
import com.intellij.psi.xml.XmlFile;
import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * User: Sergey.Vasiliev
 */
public abstract class JpdlDomModelManager {
  public static JpdlDomModelManager getInstance(Project project) {
    return ServiceManager.getService(project, JpdlDomModelManager.class);
  }

  public abstract boolean isJpdl(@NotNull final XmlFile file) ;

  public abstract JpdlModel getJpdlModel(@NotNull final XmlFile file);

   public abstract List<JpdlModel> getAllModels(@NotNull Module module);
}
