package com.intellij.jpdm.model.xml.wireObjectGroup;

import com.intellij.jpdm.model.xml.JpdlDomElement;
import com.intellij.util.xml.GenericAttributeValue;
import org.jetbrains.annotations.NotNull;

/**
 * User: Sergey.Vasiliev
 */
public interface JpdlString extends JpdlDomElement {

	/**
	 * Returns the value of the name child.
	 * <pre>
	 * <h3>Attribute null:name documentation</h3>
	 * the name of the string object
	 * </pre>
	 * @return the value of the name child.
	 */
	@NotNull
    GenericAttributeValue<String> getName();


	/**
	 * Returns the value of the value child.
	 * <pre>
	 * <h3>Attribute null:value documentation</h3>
	 * the actual string value
	 * </pre>
	 * @return the value of the value child.
	 */
	@NotNull
	GenericAttributeValue<String> getValue();

}
