package com.intellij.jpdm.providers;

import com.intellij.jpdm.JpdlIcons;
import com.intellij.jpdm.model.xml.ProcessDefinition;
import com.intellij.jpdm.utils.JpdlCommonUtils;
import com.intellij.navigation.NavigationItem;
import com.intellij.openapi.module.Module;
import com.intellij.psi.PsiElement;
import com.intellij.util.xml.model.gotosymbol.GoToSymbolProvider;
import org.jetbrains.annotations.NotNull;

import java.util.List;
import java.util.Set;

/**
 * User: Sergey.Vasiliev
 */
public class JpdlGotoSymbolProvider extends GoToSymbolProvider {

  protected void addNames(@NotNull final Module module, final Set<String> result) {
    result.addAll(JpdlCommonUtils.getProcessNames(module));
  }

  protected void addItems(@NotNull final Module module, final String name, final List<NavigationItem> result) {
      JpdlCommonUtils.getProcessNames(module);
      for (ProcessDefinition definition : JpdlCommonUtils.getProcessDefinitions(module)) {
      if (name.equals(definition.getName().getStringValue())) {
        final PsiElement psiElement = definition.getXmlElement();

        if (psiElement != null) {
          final NavigationItem navigationItem = createNavigationItem(psiElement, name, JpdlIcons.PROCESS);
          if (!result.contains(navigationItem)) {
            result.add(navigationItem);
          }
        }
      }
    }
  }

  protected boolean acceptModule(final Module module) {
    return true;
  }
}

